# Interface GestureListener

All Superinterfaces:
  `EventListener`

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public interface GestureListener extends EventListener
Classes which implement this interface provide methods that deal with the events that are generated as gestures are triggered by the user interacting with a touch pad or touch screen.

After creating an instance of a class that implements this interface it can be added to a control using the `addGestureListener` method and removed using the `removeGestureListener` method. When a gesture is triggered, the appropriate method will be invoked.

Warning: This API is currently only implemented on Windows and Cocoa. SWT doesn't send Gesture or Touch events on GTK.

Since:
  3.7
See Also:
  - `GestureEvent`

## Method Summary

Modifier and Type
Method
Description
`void`
`gesture(GestureEvent e)`
Sent when a recognized gesture has occurred.

## Method Details

### gesture

void gesture(GestureEvent e)
Sent when a recognized gesture has occurred.

Parameters:
  `e` - an event containing information about the gesture.